[**@rxap/forms v19.0.4-dev.0**](../README.md)

***

[@rxap/forms](../globals.md) / ExtractAbstractControl

# Type Alias: ExtractAbstractControl\<T, U\>

> **ExtractAbstractControl**\<`T`, `U`\>: `T` *extends* [`KeyValueControls`](KeyValueControls.md)\<`any`\> ? `{ [K in keyof U]: AbstractControl<U[K]> }` : `T`

Defined in: [packages/angular/forms/src/lib/types.ts:109](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/types.ts#L109)

## Type Parameters

• **T**

• **U**
